### Method

# Camel FilterDriver set_folder_func

#### Declaration [src]

    void
    camel_filter_driver_set_folder_func (
      CamelFilterDriver* d,
      CamelFilterGetFolderFunc get_folder,
      gpointer user_data
    )

#### Description [src]

Sets a callback (of type `CamelFilterGetFolderFunc`) to get a folder.

This method is not directly available to language bindings.

#### Parameters

`get_folder`

  Type: `CamelFilterGetFolderFunc`

  A callback to get a folder.

`user_data`

  Type: `gpointer`

  User data to pass to `get_folder`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.